import miment from "miment";
export default function (self) {
  return [
    {
      type: "selection",
      width: 40,
      align: "center"
    },
    {
      title: "报账单号",
      align: "center",
      width: 220,
      key: "claimNo",
      render: (h, params) => {
        return h("RowTools", {
          props: {
            data: [
              {
                text: params.row.claimNo || "",
                handle: () => {
                  self.openTask(params.row);
                }
              }
            ]
          }
        });
      }
    },
    {
      title: "信息",
      align: "center",
      width: 140,
      key: "fmsMessage",
      render: (h, params) => {
        let val = params.row.log && params.row.log.fmsMessage ? params.row.log.fmsMessage : "";
        return h(
          "div",
          {
            attrs: {
              class: "ivu-tabel-cell ivu-tabel-cell-ellipsis",
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: "发票编号",
      align: "center",
      minWidth: 200,
      key: "invoiceNum",
      render: (h, params) => {
        return h(
          "div",
          {
            attrs: {
              class: "ivu-tabel-cell ivu-tabel-cell-ellipsis",
              title: params.row.invoiceNum || ""
            }
          },
          params.row.invoiceNum || ""
        );
      }
    },
    {
      title: "批名",
      align: "center",
      width: 200,
      key: "batchNum",
      render: (h, params) => {
        let val = params.row.log && params.row.log.batchNum ? params.row.log.batchNum : "";
        return h(
          "div",
          {
            attrs: {
              class: "ivu-tabel-cell ivu-tabel-cell-ellipsis",
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: "总账期间",
      align: "center",
      width: 140,
      key: "glDate",
      render: (h, params) => {
        return h(
          "div",
          {
            attrs: {
              class: "ivu-table-cell ivu-table-cell-ellipsis",
              title: new Date(params.row.glDate).Format("yyyy-MM")
            }
          },
          new Date(params.row.glDate).Format("yyyy-MM")
        );
      }
    },
    {
      title: "归属公司",
      align: "center",
      minWidth: 220,
      key: "orgName",
      render: (h, params) => {
        return h(
          "div",
          {
            attrs: {
              class: "ivu-table-cell ivu-table-cell-ellipsis",
              title: params.row.orgName || ""
            }
          },
          params.row.orgName || ""
        );
      }
    },
    {
      title: "业务大类",
      align: "center",
      width: 140,
      key: "categoryName",
      render: (h, params) => {
        let val = params.row.categoryName || "";
        return h(
          "div",
          {
            attrs: {
              class: "ivu-table-cell ivu-table-cell-ellipsis",
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: "摘要",
      align: "center",
      width: 140,
      key: "voucherDescription",
      render: (h, params) => {
        let val = params.row.voucherDescription || "";
        return h(
          "div",
          {
            attrs: {
              class: "ivu-table-cell ivu-table-cell-ellipsis",
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: "会计",
      align: "center",
      width: 140,
      key: "claimmakerId",
      render: (h, params) => {
        let val = params.row.claimmakerId || "";
        return h(
          "div",
          {
            attrs: {
              class: "ivu-table-cell ivu-table-cell-ellipsis",
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: "核算小组",
      align: "center",
      width: 140,
      key: "groupName",
      render: (h, params) => {
        let val = params.row.groupName || "";
        return h(
          "div",
          {
            attrs: {
              class: "ivu-table-cell ivu-table-cell-ellipsis",
              title: val
            }
          },
          val
        );
      }
    },
  ];
}
