export default function (self) {
  return [
    {
      title: "事件编号",
      align: "center",
      width: 80,
      // key: "claimEventNo",  
      key: "eventCode",
      render: (h, params) => {
        return h(
          "div",
          {
            attrs: {
              class: "ivu-table-cell ivu-table-cell-ellipsis",
              title: params.row.eventCode
            }
          },
          params.row.eventCode
        );
      }
    },
    {
      title: "事件类型",
      align: "center",
      width: 80,
      key: "eventName",
      render: (h, params) => {
        let val = params.row.eventName;
        return h(
          "div",
          {
            attrs: {
              class: "ivu-table-cell ivu-table-cell-ellipsis",
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: "事件优先级",
      align: "center",
      width: 80,
      key: "eventPriority",
      render: (h, params) => {
        let val = params.row.eventPriority;
        return h(
          "div",
          {
            attrs: {
              class: "ivu-table-cell ivu-table-cell-ellipsis",
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: "报账单号",
      align: "center",
      width: 220,
      key: "claimNo",
      render: (h, params) => {
        return h("RowTools", {
          props: {
            data: [
              {
                text: params.row.claimNo,
                handle: () => {
                  self.openTask(params.row);
                }
              }
            ]
          }
        });
      }
    },
    {
      title: "发票编号",
      align: "center",
      width: 200,
      key: "invoiceNum",
      render: (h, params) => {
        return h(
          "div",
          {
            attrs: {
              class: "ivu-table-cell ivu-table-cell-ellipsis",
              title: params.row.invoiceNum
            }
          },
          params.row.invoiceNum
        );
      }
    },
    {
      title: "批名",
      align: "center",
      width: 180,
      key: "batchNum",
      render: (h, params) => {
        return h(
          "div",
          {
            attrs: {
              class: "ivu-table-cell ivu-table-cell-ellipsis",
              title: params.row.batchNum
            }
          },
          params.row.batchNum
        );
      }
    },
    {
      title: "总账期间",
      align: "center",
      width: 140,
      key: "glDate",
      render: (h, params) => {
        let val = params.row.glDate;
        return h(
          "div",
          {
            attrs: {
              class: "ivu-table-cell ivu-table-cell-ellipsis",
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: "生成发票日期",
      align: "center",
      width: 140,
      key: "invoceGenerateDate",
      render: (h, params) => {
        let val = params.row.invoceGenerateDate ? new Date(params.row.invoceGenerateDate).Format("yyyy-MM-dd hh:mm") : "";
        return h(
          "div",
          {
            attrs: {
              class: "ivu-table-cell ivu-table-cell-ellipsis",
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: "归属公司",
      align: "center",
      minWidth: 220,
      key: "orgName",
      render: (h, params) => {
        return h(
          "div",
          {
            attrs: {
              class: "ivu-table-cell ivu-table-cell-ellipsis",
              title: params.row.orgName
            }
          },
          params.row.orgName
        );
      }
    },
    {
      title: "业务大类",
      align: "center",
      width: 140,
      key: "categoryName",
      render: (h, params) => {
        let val = params.row.categoryName;
        return h(
          "div",
          {
            attrs: {
              class: "ivu-table-cell ivu-table-cell-ellipsis",
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: "摘要",
      align: "center",
      minWidth: 140,
      key: "voucherDescription",
      render: (h, params) => {
        let val = params.row.voucherDescription;
        return h(
          "div",
          {
            attrs: {
              class: "ivu-table-cell ivu-table-cell-ellipsis",
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: "核算小组",
      align: "center",
      width: 140,
      key: "groupName",
      render: (h, params) => {
        let val = params.row.groupName || "";
        return h(
          "div",
          {
            attrs: {
              class: "ivu-table-cell ivu-table-cell-ellipsis",
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: "会计",
      align: "center",
      width: 140,
      key: "claimmakerId",
      render: (h, params) => {
        let val = params.row.claimmakerId;
        return h(
          "div",
          {
            attrs: {
              class: "ivu-table-cell ivu-table-cell-ellipsis",
              title: val
            }
          },
          val
        );
      }
    }
  ];
}
